package com.cpop.oam.framework.enums;

import lombok.Getter;

/**
 * 定时任务枚举类
 * @author  DB
 * @since 2023/07/13/9:30
 */
@Getter
public enum QuartzEnums {

    /**
     * 工单超时定时任务
     */
    WORK_ORDER_OVERTIME_TASK("WorkOrderOvertimeTask:", "WorkOrder"),
    /**
     * 工单接收超时定时任务
     */
    WORK_ORDER_ACCEPT_OVERTIME_TASK("WorkOrderAcceptOvertimeTask:", "WorkOrder"),
    /**
     * 工单暂停回复任务
     */
    WORK_ORDER_PAUSE_RECOVER_TASK("WorkOrderPauseRecoverTask:", "WorkOrder"),

    /**
     * 工单接受超时提醒
     */
    WORK_ORDER_ACCEPT_OVERTIME_REMIND_TASK("WorkOrderAcceptOvertimeRemindTask:", "WorkOrder"),

    /**
     * 工单办结超时提醒
     */
    WORK_ORDER_FINISH_OVERTIME_REMIND_TASK("WorkOrderFinishOvertimeRemindTask:", "WorkOrder"),
    ;

    QuartzEnums(String name, String group) {
        this.name = name;
        this.group = group;
    }

    /**
     * 名
     */
    private String name;

    /**
     * 组
     */
    private String group;

    public void setName(String name) {
        this.name = name;
    }

    public void setGroup(String group) {
        this.group = group;
    }

}
